// (C)2007 Attila Kovacs <attila@submm.caltech.edu>



public class SansonFlamsteed extends SphericalProjection {

	public SansonFlamsteed() {}

	public String getFitsID() { return fitsID; }

	public String getFullName() { return fullName; }

	@Override
	public final void getOffsets(double theta, double phi, CoordinatePair toOffset) {
		toOffset.x = phi * Math.cos(theta);
		toOffset.y = theta;
	}

	@Override
	public final double phi(CoordinatePair offset) {
		return offset.x / Math.cos(offset.y);
	}

	@Override
	public final double theta(CoordinatePair offset) {
		return offset.y;
	}

	
	
	public final static String fitsID = "SFL";
	public final static String fullName = "Sanson-Flamsteed";
	
}